package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;
import com.jasamedika.medifirst2000.entities.StatusMeninggalDunia;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class MasterJenisSantunan
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_MasterJenisSantunan_T")
public class MasterJenisSantunan extends BaseTransaction {
	@Column(name = "NomorSurat", nullable = false, length = 100)
	@Caption(value = "NomorSurat")
	private Integer nomorSurat;

	public Integer getNomorSurat() {
		return nomorSurat;
	}

	public void setNomorSurat(Integer nomorSurat) {
		this.nomorSurat = nomorSurat;
	}

	@ManyToOne
	@JoinColumn(name = "StatusMeninggalFk")
	@NotNull(message = "Status Meninggal Harus Diisi")
	@Caption(value = "Status Meninggal")
	private StatusMeninggalDunia statusMeninggal;

	public StatusMeninggalDunia getStatusMeninggal() {
		return statusMeninggal;
	}

	public void setStatusMeninggal(StatusMeninggalDunia statusMeninggal) {
		this.statusMeninggal = statusMeninggal;
	}

	@Column(name = "StatusMeninggalFk", insertable = false, updatable = false)
	private Integer statusMeninggalId;

	@Column(name = "JenisSantunan1", nullable = false, length = 100)
	@Caption(value = "JenisSantunan1")
	private String jenisSantunan1;

	public String getJenisSantunan1() {
		return jenisSantunan1;
	}

	public void setJenisSantunan1(String jenisSantunan1) {
		this.jenisSantunan1 = jenisSantunan1;
	}

	@Column(name = "JenisSantunan2", nullable = false, length = 100)
	@Caption(value = "JenisSantunan2")
	private String jenisSantunan2;

	public String getJenisSantunan2() {
		return jenisSantunan2;
	}

	public void setJenisSantunan2(String jenisSantunan2) {
		this.jenisSantunan2 = jenisSantunan2;
	}

	@Column(name = "BesaranBantuan", nullable = false, length = 100)
	@Caption(value = "BesaranBantuan")
	private String besaranBantuan;

	public String getBesaranBantuan() {
		return besaranBantuan;
	}

	public void setBesaranBantuan(String besaranBantuan) {
		this.besaranBantuan = besaranBantuan;
	}

}